use super::init::{Data, Error};
use poise::serenity_prelude as serenity;
use tracing::{info, instrument};
#[allow(clippy::single_match)]
#[instrument(skip(_ctx, _framework, _data), err, level = "trace")]
pub async fn event_handler(
    _ctx: &serenity::Context,
    event: &serenity::FullEvent,
    _framework: poise::FrameworkContext<'_, Data, Error>,
    _data: &Data,
) -> Result<(), Error> {
    match event {
        serenity::FullEvent::Ready { data_about_bot, .. } => {
            info!("{} is connected !", data_about_bot.user.name);
        }
        _ => {}
    }
    Ok(())
}
